Package com.enonic.xp.content

## Class ContentQuery.Builder

- java.lang.Object
- - com.enonic.xp.content.ContentQuery.Builder

- Enclosing class:
    ContentQuery

      public static class ContentQuery.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentQuery.Builder` | `addContentTypeName​(ContentTypeName contentTypeName)` |
    `ContentQuery.Builder` | `addContentTypeNames​(ContentTypeNames contentTypeNames)` |
    `ContentQuery.Builder` | `aggregationQueries​(Iterable<AggregationQuery> aggregationQueries)` |
    `ContentQuery.Builder` | `aggregationQuery​(AggregationQuery aggregationQuery)` |
    `ContentQuery` | `build()` |
    `ContentQuery.Builder` | `filterContentIds​(ContentIds filterContentIds)` |
    `ContentQuery.Builder` | `from​(int from)` |
    `ContentQuery.Builder` | `highlight​(HighlightQuery highlight)` |
    `ContentQuery.Builder` | `queryExpr​(QueryExpr queryExpr)` |
    `ContentQuery.Builder` | `queryFilter​(Filter queryFilter)` |
    `ContentQuery.Builder` | `size​(int size)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### queryExpr

          public ContentQuery.Builder queryExpr​(QueryExpr queryExpr)

    - #### filterContentIds

          public ContentQuery.Builder filterContentIds​(ContentIds filterContentIds)

    - #### addContentTypeName

          public ContentQuery.Builder addContentTypeName​(ContentTypeName contentTypeName)

    - #### addContentTypeNames

          public ContentQuery.Builder addContentTypeNames​(ContentTypeNames contentTypeNames)

    - #### from

          public ContentQuery.Builder from​(int from)

    - #### size

          public ContentQuery.Builder size​(int size)

    - #### aggregationQuery

          public ContentQuery.Builder aggregationQuery​(AggregationQuery aggregationQuery)

    - #### aggregationQueries

          public ContentQuery.Builder aggregationQueries​(Iterable<AggregationQuery> aggregationQueries)

    - #### queryFilter

          public ContentQuery.Builder queryFilter​(Filter queryFilter)

    - #### highlight

          public ContentQuery.Builder highlight​(HighlightQuery highlight)

    - #### build

          public ContentQuery build()